Knowledge bases
Knowledge bases
Get a knowledge base
GET
The knowledge base and its settings.
Authorization
AuthorizationstringheaderrequiredBearer <key>, where <key> is a workspace API key or a user API key. See Authentication.
workspace_id*integerThe workspace. List the ones your key can reach with GET /v1/workspaces.
knowledge_base_id*stringThe knowledge base.
Format
uuidregion*RegionsRegion of the resource: besg (Europe) or usnv (United States), as GET /v1/regions lists them
Value in
"besg""usnv"OK
application/json- response
A knowledge base, which genies answer from
knowledge_base_id*Knowledge Base Idname*Nameresource_id*Resource Idregion*Regionis_shared_with_workspace*Is Shared With Workspacefolder_id*string|nullcreated_time*Created TimeFormat
date-timelast_modified_time*Last Modified TimeFormat
date-timecurl -X GET 'https://api.stacksync.com/v1/workspaces/0/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08?region=besg'{ "knowledge_base_id": "<knowledge_base_id>", "name": "<name>", "resource_id": "<resource_id>", "region": "<region>", "is_shared_with_workspace": false, "folder_id": "<folder_id>", "created_time": "2027-01-15T09:00:00Z", "last_modified_time": "2027-01-15T09:00:00Z"}